Update CustomerAsk AIput https://api.fera.ai/v3/private/customers/{id}Update data for a specific customer.Path ParamsidstringrequiredID of the customer you want to update. External ID is also accepted hereBody ParamsObject creation attributes.external_idstringrequiredemailstringrequiredEmail address of the customer.namestringFirst, last and middle name of customer.display_namestringPublic-safe name to display as defined in the customer's profile. If this is not specified and the customer name is present then public API will use the store settings to generate a display name instead.country_codestringlength ≤ 2Country code where the customer is located.region_namestringState, province or region name (not the code).zipstringZip, postal or region code of the customer.display_locationstringPublic-safe location to display on customer profile.is_anonymousbooleanIf true, the customer's display name will be the word 'Anonymous'.falsetruefalseis_name_visiblebooleanShould the customer name be displayed? If not, 'Anonymous' will be displayed. If true then the public API will return display_name or a generated name based on the store settings if none provided.truetruefalseis_location_visiblebooleanShould the customer location be displayed? If true then the public API will return display_location or a generated location based on the store settings if none provided.truetruefalseavatarfilePhoto to use as the avatar image. This will replace the existing file if one exists. This can also be specified as a remote URL and Fera will download that file and store it on it's CDN. To upload a file, use multi-part form data with the 'avatar' key and the file contents (JSON POST can't upload files this way).avatar_urluriPublic-safe customer display picture (avatar) URL.Responses 202Successful response 404Not found error 422Validation errorUpdated about 1 year ago